<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>C-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#cellar_wall">cellar_wall</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#cement">cement</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#cementTile">cementTile</a></span> - Static variable in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/GameCamera.html#centerOnEntity-projectx.engine.managers.entities.Entity-">centerOnEntity(Entity)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx">GameCamera</a></dt>
<dd>
<div class="block">This method centers the game camera on a particular entity.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#chair1">chair1</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#chair2">chair2</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#chair3">chair3</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/worlds/Map.html#changeCurTile--">changeCurTile()</a></span> - Method in class projectx.engine.worlds.<a href="../projectx/engine/worlds/Map.html" title="class in projectx.engine.worlds">Map</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/AI.html#chaseEnemy-projectx.engine.managers.entities.creatures.Creature-int-">chaseEnemy(Creature, int)</a></span> - Method in class projectx.engine.controls.ai.<a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai">AI</a></dt>
<dd>
<div class="block">This method sets the creatures speed to 1.5 and chases down a given seen player</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/GameCamera.html#checkBlankSpace-double-">checkBlankSpace(double)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx">GameCamera</a></dt>
<dd>
<div class="block">This method checks if there are blank spaces like the edges of the map.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#checkCollisions-float-float-">checkCollisions(float, float)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>
<div class="block">Checks the bounds of an entities and sees if it collides with another entity</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/locators/Locator.html#checkLocatorsCollisions-float-float-">checkLocatorsCollisions(float, float)</a></span> - Method in class projectx.engine.managers.locators.<a href="../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></dt>
<dd>
<div class="block">Checks the bounds of locators and sees if it collides with another locator</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#checkpoint">checkpoint</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/AI.html#checkSight--">checkSight()</a></span> - Method in class projectx.engine.controls.ai.<a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai">AI</a></dt>
<dd>
<div class="block">Checks if the creature sees a player or shell</div>
</dd>
<dt><a href="../projectx/game/client/Client.html" title="class in projectx.game.client"><span class="typeNameLink">Client</span></a> - Class in <a href="../projectx/game/client/package-summary.html">projectx.game.client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/Client.html#Client--">Client()</a></span> - Constructor for class projectx.game.client.<a href="../projectx/game/client/Client.html" title="class in projectx.game.client">Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/procs/global/close.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">close</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/close.html#close--">close()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/close.html" title="class in projectx.engine.terminal.procs.global">close</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFileServer.html#close--">close()</a></span> - Method in class projectx.game.file.<a href="../projectx/game/file/OFileServer.html" title="class in projectx.game.file">OFileServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/Server.html#close--">close()</a></span> - Method in class projectx.game.<a href="../projectx/game/Server.html" title="class in projectx.game">Server</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/CommandParser.html" title="class in projectx.engine.terminal"><span class="typeNameLink">CommandParser</span></a> - Class in <a href="../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/CommandParser.html#CommandParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">CommandParser(Handler, Terminal)</a></span> - Constructor for class projectx.engine.terminal.<a href="../projectx/engine/terminal/CommandParser.html" title="class in projectx.engine.terminal">CommandParser</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/Client.html#connect-java.lang.String-int-">connect(String, int)</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/Client.html" title="class in projectx.game.client">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/inventory/Inventory.html#contains-int-">contains(int)</a></span> - Method in class projectx.engine.inventory.<a href="../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a></dt>
<dd>
<div class="block">Returns true if the player's inventory matches the indicated item</div>
</dd>
<dt><a href="../projectx/engine/controls/player/Controls.html" title="class in projectx.engine.controls.player"><span class="typeNameLink">Controls</span></a> - Class in <a href="../projectx/engine/controls/player/package-summary.html">projectx.engine.controls.player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/player/Controls.html#Controls-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">Controls(Handler, Creature)</a></span> - Constructor for class projectx.engine.controls.player.<a href="../projectx/engine/controls/player/Controls.html" title="class in projectx.engine.controls.player">Controls</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils"><span class="typeNameLink">Convert</span></a> - Class in <a href="../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#Convert--">Convert()</a></span> - Constructor for class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/audio/AudioPlayer.html#convertToMP3-projectx.engine.audio.AudioClip-">convertToMP3(AudioClip)</a></span> - Static method in class projectx.engine.audio.<a href="../projectx/engine/audio/AudioPlayer.html" title="class in projectx.engine.audio">AudioPlayer</a></dt>
<dd>
<div class="block">This method converts a .mp3 file into a .wav file using the jl converter library.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#corn">corn</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/newproc.html#createClass--">createClass()</a></span> - Method in class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/newproc.html" title="class in projectx.engine.terminal.procs.global">newproc</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/newproc.html#createMan--">createMan()</a></span> - Method in class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/newproc.html" title="class in projectx.engine.terminal.procs.global">newproc</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures"><span class="typeNameLink">Creature</span></a> - Class in <a href="../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></dt>
<dd>
<div class="block">This class is a template for all creatures and creature used methods.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#Creature-projectx.engine.Handler-float-float-projectx.game.enums.CreatureType-">Creature(Handler, float, float, CreatureType)</a></span> - Constructor for class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#CREATURE_BYTE_ARRAY_LENGTH">CREATURE_BYTE_ARRAY_LENGTH</a></span> - Static variable in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#creatureArrayToByteArray-projectx.engine.managers.entities.creatures.Creature:A-">creatureArrayToByteArray(Creature[])</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#creatureToByteArray-projectx.engine.managers.entities.creatures.Creature-">creatureToByteArray(Creature)</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>
<div class="block">Mitchell will make this better</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#creatureToString-projectx.engine.managers.entities.creatures.Creature-">creatureToString(Creature)</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums"><span class="typeNameLink">CreatureType</span></a> - Enum in <a href="../projectx/game/enums/package-summary.html">projectx.game.enums</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/SpriteSheet.html#crop-int-int-int-int-">crop(int, int, int, int)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/SpriteSheet.html" title="class in projectx.engine.glgfx">SpriteSheet</a></dt>
<dd>
<div class="block">This crops a sprite sheet to get the subimage within the picture.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#crowbar">crowbar</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
